﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>This class provides access to the system clock</summary>
    [SmallBasicType]
    public static class _Clock
    {
        /// <summary>Gets the current system time.</summary>
        public static Primitive Time
        {
            get
            {
                return Clock.Time;
            }
        }

        /// <summary>Gets the current system date.</summary>
        public static Primitive Date
        {
            get
            {
                return Clock.Date;
            }
        }

        /// <summary>Gets the current year.</summary>
        public static Primitive Year
        {
            get
            {
                return Clock.Year;
            }
        }

        /// <summary>Gets the current Month.</summary>
        public static Primitive Month
        {
            get
            {
                return Clock.Month;
            }
        }

        /// <summary>Gets the current day of the month.</summary>
        public static Primitive Day
        {
            get
            {
                return Clock.Day;
            }
        }

        /// <summary>Gets the current day of the week.</summary>
        public static Primitive WeekDay
        {
            get
            {
                return Clock.WeekDay;
            }
        }

        /// <summary>Gets the current Hour.</summary>
        public static Primitive Hour
        {
            get
            {
                return Clock.Hour;
            }
        }


        /// <summary>Gets the current Minute.</summary>
        public static Primitive Minute
        {
            get
            {
                return Clock.Minute;
            }
        }

        /// <summary>Gets the current Second.</summary>
        public static Primitive Second
        {
            get
            {
                return Clock.Second;
            }
        }

        /// <summary>Gets the current Millisecond.</summary>
        public static Primitive Millisecond
        {
            get
            {
                return Clock.Millisecond;
            }
        }

        /// <summary>
        /// Gets the number of milliseconds that have elapsed since 1900.
        /// </summary>
        public static Primitive ElapsedMilliseconds
        {
            get
            {
                return Clock.ElapsedMilliseconds;
            }
        }
    }
}
