﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>
    /// This class provides methods to interact with the desktop.
    /// </summary>
    [SmallBasicType]
    public static class _Desktop
    {
        /// <summary>
        /// Sets the specified picture as the desktop's wallpaper.  This file could be a local file or a network file or even an Internet URL.
        /// </summary>
        /// <param name="fileOrUrl">The filename or URL of the picture.</param>
        public static void SetWallPaper(Primitive fileOrUrl)
        {
            Desktop.SetWallPaper(fileOrUrl);
        }

        /// <summary>Gets the screen width of the primary desktop.</summary>
        public static Primitive Width
        {
            get
            {
                return Desktop.Width;
            }
        }

        /// <summary>Gets the screen height of the primary desktop.</summary>
        public static Primitive Height
        {
            get
            {
                return Desktop.Height;
            }
        }
    }
}
