﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>
    /// This class provides access to an online Dictionary service.
    /// </summary>
    [SmallBasicType]
    public static class _Dictionary
    {
        private const string _queryXml = "<QueryPacket xmlns='urn:Microsoft.Search.Query' revision='1' >\r\n                                   <Query domain='{2}'>\r\n                                     <Context>\r\n                                       <QueryText type='STRING' language='en-us' >{0}</QueryText>\r\n                                       <LanguagePreference>en-us</LanguagePreference>\r\n                                     </Context>\r\n                                     <OfficeContext xmlns='urn:Microsoft.Search.Query.Office.Context' revision='1'>\r\n                                       <UserPreferences>\r\n                                         <ParentalControl>false</ParentalControl>\r\n                                       </UserPreferences>\r\n                                       <ServiceData>{1}</ServiceData>\r\n                                       <ApplicationContext>\r\n                                         <Name>Microsoft Office Word</Name>\r\n                                         <Version>(14.0.3524)</Version>\r\n                                       </ApplicationContext>\r\n                                       <QueryLanguage>en-us</QueryLanguage>\r\n                                       <KeyboardLanguage>en-us</KeyboardLanguage>\r\n                                    </OfficeContext>\r\n                                   </Query>\r\n                                 </QueryPacket>";

        /// <summary>
        /// Gets the definition of a word in English.  The same as GetDefinitionEnglishToEnglish.
        /// </summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinition(Primitive word)
        {
            return Dictionary.GetDefinition(word);
        }

        /// <summary>Gets the definition of a word, English to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToEnglish(word);
        }

        /// <summary>
        /// Gets the definition of a word, Simplified Chinese to English.
        /// </summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionSimplifiedChineseToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionSimplifiedChineseToEnglish(word);
        }

        /// <summary>Gets the definition of a word, English to German.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToGerman(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToGerman(word);
        }

        /// <summary>
        /// Gets the definition of a word, English to Simplified Chinese.
        /// </summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToSimplifiedChinese(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToSimplifiedChinese(word);
        }

        /// <summary>Gets the definition of a word, English to French.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToFrench(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToFrench(word);
        }

        /// <summary>Gets the definition of a word, German to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionGermanToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionGermanToEnglish(word);
        }

        /// <summary>Gets the definition of a word, English to Japanese.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToJapanese(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToJapanese(word);
        }

        /// <summary>Gets the definition of a word, French to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionFrenchToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionFrenchToEnglish(word);
        }

        /// <summary>Gets the definition of a word, Itlian to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionItalianToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionItalianToEnglish(word);
        }

        /// <summary>
        /// Gets the definition of a word, Traditional Chinese to English.
        /// </summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionTraditionalChineseToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionTraditionalChineseToEnglish(word);
        }

        /// <summary>Gets the definition of a word, Spanish to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionSpanishToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionSpanishToEnglish(word);
        }

        /// <summary>Gets the definition of a word, Japanese to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionJapaneseToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionJapaneseToEnglish(word);
        }

        /// <summary>Gets the definition of a word, English to Korean.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToKorean(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToKorean(word);
        }

        /// <summary>
        /// Gets the definition of a word, English to Traditional Chinese.
        /// </summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToTraditionalChinese(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToTraditionalChinese(word);
        }

        /// <summary>Gets the definition of a word, Korean to English.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionKoreanToEnglish(Primitive word)
        {
            return Dictionary.GetDefinitionKoreanToEnglish(word);
        }

        /// <summary>Gets the definition of a word, English to Italian.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToItalian(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToItalian(word);
        }

        /// <summary>Gets the definition of a word, English to Spanish.</summary>
        /// <param name="word">The word to define.</param>
        /// <returns>The definition(s) of the specified word.</returns>
        public static Primitive GetDefinitionEnglishToSpanish(Primitive word)
        {
            return Dictionary.GetDefinitionEnglishToSpanish(word);
        }
    }
}
