﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>This class helps to load and store images in memory.</summary>
    [SmallBasicType]
    public static class _ImageList
    {
        /// <summary>
        /// Loads an image from a file or the Internet into memory.
        /// </summary>
        /// <param name="fileNameOrUrl">
        /// The file name to load the image from.  This could be a local file or a URL to the Internet location.
        /// </param>
        /// <returns>Returns the name of the image that was loaded.</returns>
        public static Primitive LoadImage(Primitive fileNameOrUrl)
        {
            return ImageList.LoadImage(fileNameOrUrl);
        }

        /// <summary>Gets the width of the stored image.</summary>
        /// <param name="imageName">The name of the image in memory.</param>
        /// <returns>The width of the specified image.</returns>
        public static Primitive GetWidthOfImage(Primitive imageName)
        {
            return ImageList.GetWidthOfImage(imageName);
        }

        /// <summary>Gets the height of the stored image.</summary>
        /// <param name="imageName">The name of the image in memory.</param>
        /// <returns>The height of the specified image.</returns>
        public static Primitive GetHeightOfImage(Primitive imageName)
        {
            return ImageList.GetHeightOfImage(imageName);
        }
    }
}
