﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>
    /// The mouse class provides accessors to get or set the mouse related properties, like the cursor position, pointer, etc.
    /// </summary>
    [SmallBasicType]
    public static class _Mouse
    {
        /// <summary>Hides the mouse cursor on the screen.</summary>
        public static void HideCursor()
        {
            Mouse.HideCursor();
        }

        /// <summary>Shows the mouse cursors on the screen.</summary>
        public static void ShowCursor()
        {
            Mouse.ShowCursor();
        }

        /// <summary>Gets or sets the mouse cursor's x co-ordinate.</summary>
        public static Primitive MouseX
        {
            get
            {
                return Mouse.MouseX;
            }
            set
            {
                Mouse.MouseX = value;
            }
        }

        /// <summary>Gets or sets the mouse cursor's y co-ordinate.</summary>
        public static Primitive MouseY
        {
            get
            {
                return Mouse.MouseY;
            }
            set
            {
                Mouse.MouseY = value;
            }
        }

        /// <summary>Gets whether or not the left button is pressed.</summary>
        public static Primitive IsLeftButtonDown
        {
            get
            {
                return Mouse.IsLeftButtonDown;
            }
        }

        /// <summary>Gets whether or not the right button is pressed.</summary>
        public static Primitive IsRightButtonDown
        {
            get
            {
                return Mouse.IsRightButtonDown;
            }
        }
    }
}
