﻿using Microsoft.SmallBasic.Library;

namespace SBAliases
{
    /// <summary>This helper class provides network access methods</summary>
    [SmallBasicType]
    public static class _Network
    {
        /// <summary>
        /// Downloads a file from the network to a local temporary file.
        /// </summary>
        /// <param name="url">The URL of the file on the network.</param>
        /// <returns>
        /// A local file name that the remote file was downloaded as.
        /// </returns>
        public static Primitive DownloadFile(Primitive url)
        {
            return Network.DownloadFile(url);
        }

        /// <summary>Gets the contents of a specified web page.</summary>
        /// <param name="url">The URL of the web page</param>
        /// <returns>The contents of the specified web page.</returns>
        public static Primitive GetWebPageContents(Primitive url)
        {
            return Network.GetWebPageContents(url);
        }
    }
}
